Subject: Re: [PATCH] gitignore: add top level patch ignore rule

From: Marc Branchaud <[email-masked]>
Date: Thu, 21 Jul 2011 10:50:06 -0400

On 11-07-21 09:22 AM, Vitaliy Ivanov wrote:
> On Thu, Jul 21, 2011 at 4:02 PM, Michael J Gruber
> <[email-masked]> wrote:
>> Vitaliy Ivanov venit, vidit, dixit 21.07.2011 14:54:
>>> Michael,
>>>
>>> On Wed, Jul 20, 2011 at 11:09 AM, Michael J Gruber
>>> <[email-masked]> wrote:
>>>> Vitaliy Ivanov venit, vidit, dixit 20.07.2011 00:17:
>>>>> Add top level ignore rule for patches created by format-patch command.
>>>>
>>>> Please don't.
>>>>
>>>> The tracked ignore file is for ignoring products and artefacts of our
>>>> build process. format-patch is not part of this process, and the
>>>> existence of *.patch files depends on your workflow. But what is much
>>>> worse: In
>>>>
>>>> git status
>>>> git format-patch rev-spec
>>>> git send-email *.patch
>>>>
>>>> it is very easy to send out the wrong patches (along with the right
>>>> ones), because your patch hides them from status. Also, I can't clean
>>>> them up with "git clean -f" any more. I would have to use "git clean -f
>>>> -x" which would clean the build products also (and force a rebuild).
>>>>
>>>> So, your patch makes a format-patch based workflow much worse. What
>>>> problem does it try to solve?
>>>
>>> I will not insist. You may know it better but git as is a public
>>> project where anyone can create and send patches. So it seems to me
>>> basic workflow for sharing changes.
>>
>> Well sure it is. We do that and discuss the merits of patches.
>>
>> I do use format-patch/send-email, and as I explained, your patch would
>> make that more difficult. If there is something that it makes better
>> that may outweigh it. Can you explain what improvement this (ignoring
>> *.patch) introduces?
> 
> I'm not sure how listing all the patches that you have under "git
> status" will help you not to send a wrong one.

Seeing various patch files in "git status" bothered me as well.

So I put all my patches in a top-level patches/ directory, along with a
patches/.gitignore file that ignores everything there.

If that doesn't meet your needs, you could instead add a core.excludesfile
entry to your ~/.gitconfig, and in there ignore *.patch files.

So given those alternatives, I'm not convinced your patch is suitable for all
git users.

		M.